com.io7m.smfj.format.binary.v1

## Interface SMFBv1_0HeaderWritableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    SMFBv1_0HeaderType
  All Known Implementing Classes:
    SMFBv1_0HeaderByteBuffered

      public interface SMFBv1_0HeaderWritableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The writable interface to values of the `SMFBv1_0HeaderWritableType` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFBv1CoordinateSystemsWritableType` | `getCoordinateSystemWritable()`
    `SMFBv1SchemaIDWritableType` | `getSchemaWritable()`
    `void` | `setAttributeCount(int x)` Set the value of the `attribute_count` field
    `void` | `setFieldsSize(int x)` Set the value of the `fields_size` field
    `void` | `setTriangleCount(long x)` Set the value of the `triangle_count` field
    `void` | `setTriangleIndexSizeBits(int x)` Set the value of the `triangle_index_size_bits` field
    `void` | `setVertexCount(long x)` Set the value of the `vertex_count` field

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### setFieldsSize

          void setFieldsSize(int x)

      Set the value of the `fields_size` field
      Parameters:
        `x` - The new value

    - #### getSchemaWritable

          SMFBv1SchemaIDWritableType getSchemaWritable()

      Returns:
        Writable access to the `schema` field

    - #### setVertexCount

          void setVertexCount(long x)

      Set the value of the `vertex_count` field
      Parameters:
        `x` - The new value

    - #### setTriangleCount

          void setTriangleCount(long x)

      Set the value of the `triangle_count` field
      Parameters:
        `x` - The new value

    - #### setTriangleIndexSizeBits

          void setTriangleIndexSizeBits(int x)

      Set the value of the `triangle_index_size_bits` field
      Parameters:
        `x` - The new value

    - #### setAttributeCount

          void setAttributeCount(int x)

      Set the value of the `attribute_count` field
      Parameters:
        `x` - The new value

    - #### getCoordinateSystemWritable

          SMFBv1CoordinateSystemsWritableType getCoordinateSystemWritable()

      Returns:
        Writable access to the `coordinate_system` field

Copyright © 2017 <code@io7m.com> http://io7m.com